Subject: Re: bug#33913: 26.1; Optionally not font-lock newline char when `comment-end' = ""

From: martin rudalics <[email-masked]>
Date: Sun, 30 Dec 2018 18:46:55 +0100

> Please consider letting users easily (e.g. user option) not highlight a
 > newline character when it ends a comment, such as in Lisp.
 >
 > The effect should be to highlight only the chars of the line, starting
 > with `comment-start', up to but not including the newline char.

For my private solution to this problem look at the attached file.

 > (I never would have noticed how annoying the default behavior is if
 > I hadn't tried putting a background color on comments, as the OP
 > did.  I don't even think it should be the default behavior to
 > highlight the newline char.)

Fully agreed.

martin